# Class CIM_PrintSAP
extends CIM_ServiceAccessPoint

The ServiceAccessPoint for a printing Service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_PrintSAP

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The ServiceAccessPoint for a printing Service.
UMLPackagePath | string | CIM::Device::Printing
Version | string | 2.14.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PrintProtocol | uint16[] |
ArrayType | string | Indexed
Description | string | Specifies the print procotols that this AccessPoint uses. Note, each entry of this array is related to the entry in the PrintProtocolInfo array that is located at the same index.
MappingStrings | string | MIB.IETF|IANA-PRINTER-MIB.PrtChannelInformation, MIB.IETF|Printer-MIB.prtChannelType
ModelCorrespondence | string | CIM_PrintSAP.PrintProtocolInfo
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7
Values | string | Unknown, Other, SMB, BSD, SYSV, HPNP, IPP, Local
PrintProtocolInfo | string[] |
ArrayType | string | Indexed
Description | string | Provides clarifying or additional information about the protocols that are supported by this AccessPoint. Note, each entry of this array is related to the entry in the PrintProtocol array that is located at the same index.
MappingStrings | string | MIB.IETF|IANA-PRINTER-MIB.PrtChannelInformation, MIB.IETF|Printer-MIB.prtChannelType
ModelCorrespondence | string | CIM_PrintSAP.PrintProtocol

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceAccessPoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement